with GNATCOM.Dispinterface;

package MSHTML.IHTMLModelessInit_Interface is

   type IHTMLModelessInit_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLModelessInit_Type);

   function Pointer (This : IHTMLModelessInit_Type)
     return Pointer_To_IHTMLModelessInit;

   procedure Attach (This    : in out IHTMLModelessInit_Type;
                     Pointer : in     Pointer_To_IHTMLModelessInit);

   function Get_parameters
     (This : IHTMLModelessInit_Type)
     return GNATCOM.Types.VARIANT;

   function Get_optionString
     (This : IHTMLModelessInit_Type)
     return GNATCOM.Types.VARIANT;

   function Get_moniker
     (This : IHTMLModelessInit_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

   function Get_document
     (This : IHTMLModelessInit_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

end MSHTML.IHTMLModelessInit_Interface;

